import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'system/person/saveFormJson',
    method: 'post',
    data,
  })
}

export function del(ids) {
  return request({
    url: 'system/person/deleteFormJson',
    method: 'post',
    data: ids,
  })
}

export function edit(data) {
  return request({
    url: 'system/person/saveFormJson',
    method: 'post',
    data,
  })
}

export function delUser(ids) {
  return request({
    url: 'system/person/deleteUserFormJson',
    method: 'post',
    data: ids,
  })
}

export function setUser(data) {
  return request({
    url: 'system/person/changeUserFormJson',
    method: 'post',
    data,
  })
}

export default { add, edit, del, setUser, delUser }
